System.ServiceModel 4.0.0.0 System.Enum

Any ProtectionLevel settings of a transport are ignored if the is set to . crabout the ProtectionLevel property, see Understanding Protection Level.

crabout indigo1 security and how this property affects general security features, see Securing Services and Programming WCF Security. crabout the transport mode, see Transport Security.

Note that if you choose , then the value set in or is ignored.

Determines the security settings for a binding.

- Field
  4.0.0.0
  System.ServiceModel.SecurityMode

  Security is provided using SOAP message security.

- Field
  4.0.0.0
  System.ServiceModel.SecurityMode

  Security is disabled.

- Field
  4.0.0.0
  System.ServiceModel.SecurityMode

  Security is provided using a secure transport (for example, HTTPS).

- Field
  4.0.0.0
  System.ServiceModel.SecurityMode

  A secure transport (for example, HTTPS) provides integrity, confidentiality, and authentication while SOAP message security provides client authentication.